2017-09-23 00:16 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004213Kali Linux[All Projects] General Bugpublic2017-09-02 06:43
Reporterkr3ll.9002 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version 
Summary0004213: Desktop resizing issue under VMWare and Xorg
DescriptionI am still experience an issue with desktop resizing after reading the notes in the closed ticket 0004159.

The issue is resolved using the terminal command "systemctl restart open-vm-tools" until reboot.

Hypervisor is VMware Workstation 12 Player v12.5.7 build-5813279.
uname -a = Linux kali 4.12.0-kali1-amd64 0000001 SMP Debian 4.12.6-1kali5 (2017-08-25) x86_64 GNU/Linux

running latest open-vm-tools as per the closed ticket.

root@kali:~# dpkg --list | grep open-vm-tool
ii open-vm-tools 2:10.1.10-1kali3 amd64 Open VMware Tools for virtual machines hosted on VMware (CLI)
ii open-vm-tools-desktop 2:10.1.10-1kali3 amd64 Open VMware Tools for virtual machines hosted on VMware (GUI)
rc open-vm-tools-dkms 2:10.1.5-5055683-4 all Open VMware Tools vmxnet kernel module (deprecated)
Steps To Reproduce1, Boot into Kali VM using VMWare hypervisor.
2, Complete user login.
3, Desktop loads but fails to resize after selecting maximize/fullscreen.
4, Tried rebooting and setting the display to GNOME with Xorg but has not affect.
5, Loading terminal and entering "systemctl restart open-vm-tools" allows selecting maximize/fullscreen with affect.
Attached Files

-Relationships
+Relationships

-Notes

~0007215

rhertzog (administrator)

When I last tried this, I had a single issue left. When I start an Xorg session, the initial size is unrelated to the size of the VMWare window but a simple click on "Fit guest now" fixed the issue. I did not have to restart open-vm-tools.

Is this what you are experiencing?

Can you confirm that your graphical session is based on Xorg? "ps aux|grep Xorg" should show a process. (The default session is again based on Xorg since kali-root-login 2017.2.0)

If you comment out "WaylandEnable=false" in /etc/gdm3/daemon.conf then you switch back to Wayland on next reboot (or gdm3 restart) and then this issue is not present (but you might suffer from other regressions).

~0007216

rhertzog (administrator)

Can you also attach your logs from /var/log/vmware-*

~0007225

kr3ll.9002 (reporter)

output from "ps aux | grep Xorg"

root@kali:~# ps aux|grep Xorg
Debian-+ 642 1.4 1.8 347872 38788 tty1 Sl+ 23:53 0:00 /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/132/gdm/Xauthority -background none -noreset -keeptty -verbose 3
root 985 3.5 2.1 409180 43904 tty2 Sl+ 23:53 0:01 /usr/lib/xorg/Xorg vt2 -displayfd 3 -auth /run/user/0/gdm/Xauthority -background none -noreset -keeptty -verbose 3
root 1583 0.0 0.0 12720 1012 pts/0 S+ 23:54 0:00 grep Xorg

I tried commenting out WaylandEnable=false in /etc/gdm3/daemon.conf then rebooting but that seems to have now made the GUI unusable :(

Will try and recover and provide my logs from /var/log/vmware-*.

Also do I need to have the VMware tools installed alongside open-vm-tools?

~0007226

dookie (administrator)

This issue is not present for me in the most recent daily image running under VMware Fusion. Logs attached after resizing, going full screen, and transferring files to and from the VM.

~0007230

rhertzog (administrator)

> Also do I need to have the VMware tools installed alongside open-vm-tools?

No. open-vm-tools is the package of the VMware tools.

~0007235

kr3ll.9002 (reporter)

I just migrated from my old instance to a newly downloaded vm image of Kali, did the upgrade/dist-upgrade. Can confirm running newer version of open-vm-tools 2:10.1.10-1kali3 and not having any issues.

Please close the ticket.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-31 06:33 kr3ll.9002 New Issue
2017-08-31 07:01 rhertzog Note Added: 0007215
2017-08-31 07:01 rhertzog Summary Rleated to closed issue#0004159 - Desktop resizing issue. => Desktop resizing issue under VMWare and Xorg
2017-08-31 07:02 rhertzog Description Updated View Revisions
2017-08-31 07:05 rhertzog Note Added: 0007216
2017-08-31 07:05 rhertzog Assigned To => rhertzog
2017-08-31 07:05 rhertzog Status new => assigned
2017-08-31 14:20 kr3ll.9002 Note Added: 0007225
2017-08-31 15:06 dookie File Added: vmware-logs.zip
2017-08-31 15:06 dookie Note Added: 0007226
2017-08-31 16:18 rhertzog Note Added: 0007230
2017-09-02 02:11 kr3ll.9002 Note Added: 0007235
2017-09-02 06:43 rhertzog Status assigned => resolved
2017-09-02 06:43 rhertzog Resolution open => fixed
+Issue History